com.holonplatform.json.config

## Enum PropertyBoxSerializationMode

- java.lang.Object
- - java.lang.Enum<PropertyBoxSerializationMode>
  - - com.holonplatform.json.config.PropertyBoxSerializationMode

- All Implemented Interfaces:
    Serializable, Comparable<PropertyBoxSerializationMode>

      public enum PropertyBoxSerializationMode
      extends Enum<PropertyBoxSerializationMode>

  Enumeration of `PropertyBox` property serialization mode when it is serialized as a JSON object.
  Since:
    5.1.0
  See Also:
    `JsonConfigProperties`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALL` Serialize all the properties.
    `PATH` Serialize only the `Path` type properties.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyBoxSerializationMode` | `getDefault()` Get the default `PropertyBoxSerializationMode`.
    `static PropertyBoxSerializationMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PropertyBoxSerializationMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PATH

          public static final PropertyBoxSerializationMode PATH

      Serialize only the `Path` type properties.

      The path name, obtained through `Path.getName()`, is used as serialized property name.

      This is the default serialization mode.

    - #### ALL

          public static final PropertyBoxSerializationMode ALL

      Serialize all the properties.

      The property name, obtained through `Property.getName()`, is used as serialized property name.

  - ### Method Detail

    - #### values

          public static PropertyBoxSerializationMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PropertyBoxSerializationMode c : PropertyBoxSerializationMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PropertyBoxSerializationMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getDefault

          public static PropertyBoxSerializationMode getDefault()

      Get the default `PropertyBoxSerializationMode`.
      Returns:
        The default `PropertyBoxSerializationMode`

Copyright © 2019 The Holon Platform. All rights reserved.